Bug 66526 - LibreOffice documents won't stay on last monitor opened on
Summary: LibreOffice documents won't stay on last monitor opened on
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-03 00:35 UTC by schmed888
Modified: 2015-09-04 03:01 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
screent shot of my monitor setup (104.65 KB, image/jpeg)
2013-07-03 00:35 UTC, schmed888
Details

Note You need to log in before you can comment on or make changes to this bug.
Description schmed888 2013-07-03 00:35:39 UTC
Created attachment 81916 [details]
screent shot of my monitor setup

Hi,

system: Windows 7, 64 bit, i7 CPU, 16GB ram, 4 monitors.

As I'm sure you're aware, most apps on a Windows system will remember the last monitor position they were opened, moved to and closed on. E.g., if there are two monitors and you open and move a document to the 'second' monitor and close that document, the next time that same document (or others related to that application) is opened, it will open on the 'second' monitor (the last one the document was viewed on).

Problem: when any LibOff document is opened, moved to a monitor of choice and eventually closed, it will 'remember' the last monitor it was opened on. However, eventually, when the same document is opened at a later time, or any other LibOff document, it opens on the default monitor (which is the one where my start menu/taskbar resides).

Is it possible to have the 'last monitor used' information attached to the individual document? This way, other app behavior won't affect the individual document.

Thanks.
Comment 1 Thomas van der Meulen 2013-07-03 05:43:11 UTC
Is bug 49665 related to this?, if it is please set this bug to a duplicate and set that bug as new -2 people with the same bug-, thank you :)
Comment 2 retired 2013-07-03 09:51:06 UTC
LO opens where I left off on OS X 10.8.4. Tested with 2 monitors.
Comment 3 schmed888 2013-07-03 15:09:15 UTC
(In reply to comment #1)
> Is bug 49665 related to this?, if it is please set this bug to a duplicate
> and set that bug as new -2 people with the same bug-, thank you :)

I will let you determine if it's related but that bug report (49665) mentioned Mozilla browser which isn't related to this issue and 'compiz' which may be causing some issues and doesn't have anything to do with this issue.

I opened a 'writer' doc and moved it to my right most 4th monitor then closed it. I reopened it, and it opened on the right most 4th monitor, then closed it. I opened it a third time and it opened on my 2nd monitor (the one with the start menu).

To test if the above behavior was reproducible, I repeated the test and got slightly different results:

Opened the doc, moved it to the 4th monitor, closed doc. Opened doc again, it opened on the default monitor (2nd monitor, the one with the start menu).

This occurred a while ago in 3.5.x which is why I stopped using the app. In several revisions, it's still occurring so it's been there for a while.

Anyway, hope you can fix it.

Thanks
Comment 4 Urmas 2013-07-28 08:31:53 UTC
Closing a PowerPC-specific bug. Please reopen if it can be reproduced on Intel hardware too.
Comment 5 schmed888 2013-07-28 15:59:07 UTC
I changed the 'platform' to x86-64 since I believe this denotes the correct CPU family I am using. I'm using an INTEL i7-3770 CPU (quad with 8 threads). I will also add that I'm using a Gigabyte INTEL based mainboard. I misunderstood the platform selections as they are not standard diction (i.e. x64 is for 64 bit x86 is for 32 bit; platform usually refers to OS as in Windows, Linux or MAC not CPU architecture). I am using Windows 7 Ultimate 64 bit.

This bug still remains and this report should remain open until it's resolved.

I'm not marking this the same as bug 49665 because 49665 is a different operating system and a different LO version.

Thanks.
Comment 6 Joel Madero 2014-11-06 17:42:18 UTC
Never confirmed - moving to UNCONFIRMED so QA looks at it. Thanks
Comment 7 raal 2014-11-24 14:16:41 UTC
I can not confirm with win7, LO 4.3.4, 2 monitors. When I close last opened file on second monitor and then open empty file, this file opens on the second monitor (not main monitor). Same when I open file from explorer. Please, could you test with LO version 4.3.x & four monitors? Thank you
Comment 8 tommy27 2014-12-13 08:21:23 UTC
me neither under Win8.1 x64 with 2 monitors.
schmed888, please give update of the bug status with 4.3.x in your 4 monitor environment. I set status to NEEDINFO
Comment 9 QA Administrators 2015-07-18 17:36:14 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-07-18
Comment 10 QA Administrators 2015-09-04 03:01:33 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-09-03